org.apache.cassandra.repair.messages

## Class SnapshotMessage

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.SnapshotMessage

-     public class SnapshotMessage
      extends RepairMessage

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SnapshotMessage.SnapshotMessageSerializer`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RepairMessage.MessageSerializer` | `serializer`

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshotMessage(RepairJobDesc desc)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final RepairMessage.MessageSerializer serializer

  - ### Constructor Detail

    - #### SnapshotMessage

          public SnapshotMessage(RepairJobDesc desc)

Copyright © 2018 The Apache Software Foundation